using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Drawing;

namespace Line_Chart_Styles
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InitializeChartData();
        }

        protected void InitializeChartData()
        {
            Random r = new Random();

            ChartSeries series = this.chartControl1.Model.NewSeries("Line 1", ChartSeriesType.Line);
            series.Text = series.Name;

            for (int i = 0; i < 5; i++)
                series.Points.Add(i, r.Next(20, 90));

            this.chartControl1.Series.Add(series);
            series.PrepareStyle += new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle);

            series = this.chartControl1.Model.NewSeries("Line 2", ChartSeriesType.Line);
            series.Text = series.Name;

            for (int i = 0; i < 5; i++)
                series.Points.Add(i, r.Next(100, 150));

            this.chartControl1.Series.Add(series);
            series.PrepareStyle += new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle1);

            series = this.chartControl1.Model.NewSeries("Line 3", ChartSeriesType.Line);
            series.Text = series.Name;
            for (int i = 0; i < 5; i++)
                series.Points.Add(i, r.Next(150, 250));

            this.chartControl1.Series.Add(series);
            series.PrepareStyle += new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle2);

            series = this.chartControl1.Model.NewSeries("Line 4", ChartSeriesType.Line);
            series.Text = series.Name;
            for (int i = 0; i < 5; i++)
                series.Points.Add(i, r.Next(300, 400));

            this.chartControl1.Series.Add(series);
            series.PrepareStyle += new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle3);

            series = this.chartControl1.Model.NewSeries("Line 5", ChartSeriesType.Line);
            series.Text = series.Name;
            for (int i = 0; i < 5; i++)
                series.Points.Add(i, r.Next(400, 500));

            this.chartControl1.Series.Add(series);
            series.PrepareStyle += new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle4);

            this.chartControl1.Text = "Essential Chart";
            this.chartControl1.Dock = DockStyle.Fill;
            this.chartControl1.PrimaryXAxis.DrawGrid = false;
        }

        protected void ChartControlSeries_PrepareStyle(object sender, ChartPrepareStyleInfoEventArgs args)
        {
            // Style formatting using a callback. You can apply the same settings directly on the series style on the
            // point styles.
            ChartSeries series = sender as ChartSeries;
            series.EnableStyles = true;
            Random rand = new Random();
            if (series != null)
            {
                //args.Style.BeginUpdate();
                args.Style.Symbol.Shape = ChartSymbolShape.Circle;
                args.Style.Symbol.Color = Color.Red;
                args.Style.Border.DashStyle = DashStyle.Dash;
                args.Style.Border.Width = 2;
                args.Handled = true;
                //args.Style.EndUpdate();

                //args.Style.Text = string.Format("{0:C}", series.Points[args.Index].YValues[0]);
                //args.Style.DisplayText = true;
                //args.Style.TextColor = Color.Crimson;
                //args.Style.Symbol.Shape = ChartSymbolShape.Diamond;
                //args.Style.Symbol.Color = Color.Black;
                //args.Style.Symbol.Size = new Size(7, 7);
                //args.Style.TextOrientation = ChartTextOrientation.Up;
            }
        }
        protected void ChartControlSeries_PrepareStyle1(object sender, ChartPrepareStyleInfoEventArgs args)
        {
            // Style formatting using a callback. You can apply the same settings directly on the series style on the
            // point styles.
            ChartSeries series = sender as ChartSeries;
            series.EnableStyles = true;
            Random rand = new Random();
            if (series != null)
            {
                args.Style.Symbol.Shape = ChartSymbolShape.Diamond;
                args.Style.Symbol.Color = Color.Beige;
                args.Style.Border.DashStyle = DashStyle.Solid;
                args.Style.Border.Width = 2; 
                args.Handled = true;
            }
        }
        protected void ChartControlSeries_PrepareStyle2(object sender, ChartPrepareStyleInfoEventArgs args)
        {
            // Style formatting using a callback. You can apply the same settings directly on the series style on the
            // point styles.
            ChartSeries series = sender as ChartSeries;
            series.EnableStyles = true;
            Random rand = new Random();
            if (series != null)
            {
                args.Style.Symbol.Shape = ChartSymbolShape.Hexagon;
                args.Style.Symbol.Color = Color.Violet;
                args.Style.Border.DashStyle = DashStyle.Dot;
                args.Style.Border.Width = 2; 
                args.Handled = true;
            }
        }
        protected void ChartControlSeries_PrepareStyle3(object sender, ChartPrepareStyleInfoEventArgs args)
        {
            // Style formatting using a callback. You can apply the same settings directly on the series style on the
            // point styles.
            ChartSeries series = sender as ChartSeries;
            series.EnableStyles = true;
            Random rand = new Random();
            if (series != null)
            {
                args.Style.Symbol.Shape = ChartSymbolShape.InvertedTriangle;
                args.Style.Symbol.Color = Color.Green;
                args.Style.Border.DashStyle = DashStyle.DashDotDot;
                args.Style.Border.Width = 2; 
                args.Handled = true;
            }
        }
        protected void ChartControlSeries_PrepareStyle4(object sender, ChartPrepareStyleInfoEventArgs args)
        {
            // Style formatting using a callback. You can apply the same settings directly on the series style on the
            // point styles.
            ChartSeries series = sender as ChartSeries;
            series.EnableStyles = true;
            Random rand = new Random();
            if (series != null)
            {
                args.Style.Symbol.Shape = ChartSymbolShape.Square;
                args.Style.Border.DashStyle = DashStyle.DashDot;
                args.Style.Border.Width = 2; 
                args.Handled = true;
            }
        }
    }
}